<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/progress/include/progress.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('progress_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">progress.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="progress_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Daniele Giuliani on 6/19/22.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef DISTROINFOS_PROGRESS_H</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define DISTROINFOS_PROGRESS_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;../../window/include/window.h&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;../../vectors/include/vec3.h&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;../../vectors/include/vec2.h&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;../../../common/include/common.h&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#ifdef DISTROINFOS_PROGRESS_IMPORT</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define EXTERN</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="progress_8h.html#a77366c1bd428629dc898e188bfd182a3">   16</a></span>&#160;<span class="preprocessor">#define EXTERN extern</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">   19</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_p_r_o_g_r_e_s_s.html">PROGRESS</a> <a class="code" href="struct_p_r_o_g_r_e_s_s.html">ProgressClass</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html">   21</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_p_r_o_g_r_e_s_s.html">PROGRESS</a> {</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a0399eb78125961fc22085d4aac6b0d15">   22</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">void</span> *<span class="keyword">class</span>;    <span class="comment">/* must be first */</span></div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a911625119c23f07f008c2b6e0b9748d5">   23</a></span>&#160;    <a class="code" href="struct_w_i_n_d_o_w.html">WindowClass</a> *<a class="code" href="struct_p_r_o_g_r_e_s_s.html#a911625119c23f07f008c2b6e0b9748d5">target_window</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a6fcd374bc227866ee35dc07b6a6d20c4">   24</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_p_r_o_g_r_e_s_s.html#a6fcd374bc227866ee35dc07b6a6d20c4">has_progress</a>;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#ac7abb4766cd3f65c31f56279d7decff8">   25</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="struct_p_r_o_g_r_e_s_s.html#ac7abb4766cd3f65c31f56279d7decff8">progress</a>;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a6f4dca6b48529c4d3dade0e8d46f4e43">   26</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="struct_p_r_o_g_r_e_s_s.html#a6f4dca6b48529c4d3dade0e8d46f4e43">opacity</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#abff8258b539902f219c0b34c403d0f76">   27</a></span>&#160;    <a class="code" href="struct_v_e_c3.html">Vec3Class</a> *<a class="code" href="struct_p_r_o_g_r_e_s_s.html#abff8258b539902f219c0b34c403d0f76">color</a>;</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#ade86a07d1b8e910ce1af918c1e5a8683">   28</a></span>&#160;    <a class="code" href="struct_v_e_c2.html">Vec2Class</a> *<a class="code" href="struct_p_r_o_g_r_e_s_s.html#ade86a07d1b8e910ce1af918c1e5a8683">position</a>;</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a4e90d4c16be129dc83da1fe55ea04379">   29</a></span>&#160;    <a class="code" href="struct_v_e_c2.html">Vec2Class</a> *<a class="code" href="struct_p_r_o_g_r_e_s_s.html#a4e90d4c16be129dc83da1fe55ea04379">size</a>;</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#af115413ba420d8fe35c15ef27f90f7ad">   30</a></span>&#160;    <a class="code" href="struct_v_e_c2.html">Vec2Class</a> *<a class="code" href="struct_p_r_o_g_r_e_s_s.html#af115413ba420d8fe35c15ef27f90f7ad">margin</a>;</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a55aefd071649ac9dd8133e2d8a52d11f">   31</a></span>&#160;    SDL_Rect <a class="code" href="struct_p_r_o_g_r_e_s_s.html#a55aefd071649ac9dd8133e2d8a52d11f">rect</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a4718f355fd6ec3d4ab269d7055c8f855">   32</a></span>&#160;    <a class="code" href="struct_p_r_o_g_r_e_s_s.html">ProgressClass</a> *<a class="code" href="struct_p_r_o_g_r_e_s_s.html#a4718f355fd6ec3d4ab269d7055c8f855">prev</a>;</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a3d60e8e01eae477b5d8af7e762f5d8b5">   33</a></span>&#160;    <a class="code" href="struct_p_r_o_g_r_e_s_s.html">ProgressClass</a> *<a class="code" href="struct_p_r_o_g_r_e_s_s.html#a3d60e8e01eae477b5d8af7e762f5d8b5">next</a>;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a09bed13b66a4a5118ec654e837638e9b">   34</a></span>&#160;    int (*<a class="code" href="struct_p_r_o_g_r_e_s_s.html#a09bed13b66a4a5118ec654e837638e9b">setup</a>) (<a class="code" href="struct_p_r_o_g_r_e_s_s.html">ProgressClass</a> *<span class="keyword">self</span>, <span class="keywordtype">char</span> *filename);</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="struct_p_r_o_g_r_e_s_s.html#a02dd5bde961c054eabc8c7122b56b744">   35</a></span>&#160;    void (*<a class="code" href="struct_p_r_o_g_r_e_s_s.html#a02dd5bde961c054eabc8c7122b56b744">draw</a>) (<a class="code" href="struct_p_r_o_g_r_e_s_s.html">ProgressClass</a> *<span class="keyword">self</span>);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;};</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="progress_8h.html#a1303d4363d5d496489f50984555a7c4c">   45</a></span>&#160;<a class="code" href="progress_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keyword">const</span> <span class="keywordtype">void</span> *<a class="code" href="progress_8h.html#a1303d4363d5d496489f50984555a7c4c">Progress</a>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#undef DISTROINFOS_PROGRESS_IMPORT</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#undef EXTERN</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#endif //DISTROINFOS_PROGRESS_H</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_ac7abb4766cd3f65c31f56279d7decff8"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#ac7abb4766cd3f65c31f56279d7decff8">PROGRESS::progress</a></div><div class="ttdeci">float progress</div><div class="ttdef"><b>Definition:</b> progress.h:25</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_a3d60e8e01eae477b5d8af7e762f5d8b5"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#a3d60e8e01eae477b5d8af7e762f5d8b5">PROGRESS::next</a></div><div class="ttdeci">ProgressClass * next</div><div class="ttdef"><b>Definition:</b> progress.h:33</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_af115413ba420d8fe35c15ef27f90f7ad"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#af115413ba420d8fe35c15ef27f90f7ad">PROGRESS::margin</a></div><div class="ttdeci">Vec2Class * margin</div><div class="ttdef"><b>Definition:</b> progress.h:30</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_ade86a07d1b8e910ce1af918c1e5a8683"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#ade86a07d1b8e910ce1af918c1e5a8683">PROGRESS::position</a></div><div class="ttdeci">Vec2Class * position</div><div class="ttdef"><b>Definition:</b> progress.h:28</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_a02dd5bde961c054eabc8c7122b56b744"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#a02dd5bde961c054eabc8c7122b56b744">PROGRESS::draw</a></div><div class="ttdeci">void(* draw)(ProgressClass *self)</div><div class="ttdef"><b>Definition:</b> progress.h:35</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_a55aefd071649ac9dd8133e2d8a52d11f"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#a55aefd071649ac9dd8133e2d8a52d11f">PROGRESS::rect</a></div><div class="ttdeci">SDL_Rect rect</div><div class="ttdef"><b>Definition:</b> progress.h:31</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_abff8258b539902f219c0b34c403d0f76"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#abff8258b539902f219c0b34c403d0f76">PROGRESS::color</a></div><div class="ttdeci">Vec3Class * color</div><div class="ttdef"><b>Definition:</b> progress.h:27</div></div>
<div class="ttc" id="astruct_v_e_c2_html"><div class="ttname"><a href="struct_v_e_c2.html">VEC2</a></div><div class="ttdef"><b>Definition:</b> vec2.h:16</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html"><div class="ttname"><a href="struct_w_i_n_d_o_w.html">WINDOW</a></div><div class="ttdef"><b>Definition:</b> window.h:31</div></div>
<div class="ttc" id="aprogress_8h_html_a1303d4363d5d496489f50984555a7c4c"><div class="ttname"><a href="progress_8h.html#a1303d4363d5d496489f50984555a7c4c">Progress</a></div><div class="ttdeci">const EXTERN void * Progress</div><div class="ttdef"><b>Definition:</b> progress.h:45</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html">PROGRESS</a></div><div class="ttdef"><b>Definition:</b> progress.h:21</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_a6fcd374bc227866ee35dc07b6a6d20c4"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#a6fcd374bc227866ee35dc07b6a6d20c4">PROGRESS::has_progress</a></div><div class="ttdeci">int has_progress</div><div class="ttdef"><b>Definition:</b> progress.h:24</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_a911625119c23f07f008c2b6e0b9748d5"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#a911625119c23f07f008c2b6e0b9748d5">PROGRESS::target_window</a></div><div class="ttdeci">WindowClass * target_window</div><div class="ttdef"><b>Definition:</b> progress.h:23</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_a4718f355fd6ec3d4ab269d7055c8f855"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#a4718f355fd6ec3d4ab269d7055c8f855">PROGRESS::prev</a></div><div class="ttdeci">ProgressClass * prev</div><div class="ttdef"><b>Definition:</b> progress.h:32</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_a09bed13b66a4a5118ec654e837638e9b"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#a09bed13b66a4a5118ec654e837638e9b">PROGRESS::setup</a></div><div class="ttdeci">int(* setup)(ProgressClass *self, char *filename)</div><div class="ttdef"><b>Definition:</b> progress.h:34</div></div>
<div class="ttc" id="astruct_v_e_c3_html"><div class="ttname"><a href="struct_v_e_c3.html">VEC3</a></div><div class="ttdef"><b>Definition:</b> vec3.h:16</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_a6f4dca6b48529c4d3dade0e8d46f4e43"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#a6f4dca6b48529c4d3dade0e8d46f4e43">PROGRESS::opacity</a></div><div class="ttdeci">float opacity</div><div class="ttdef"><b>Definition:</b> progress.h:26</div></div>
<div class="ttc" id="astruct_p_r_o_g_r_e_s_s_html_a4e90d4c16be129dc83da1fe55ea04379"><div class="ttname"><a href="struct_p_r_o_g_r_e_s_s.html#a4e90d4c16be129dc83da1fe55ea04379">PROGRESS::size</a></div><div class="ttdeci">Vec2Class * size</div><div class="ttdef"><b>Definition:</b> progress.h:29</div></div>
<div class="ttc" id="aprogress_8h_html_a77366c1bd428629dc898e188bfd182a3"><div class="ttname"><a href="progress_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a></div><div class="ttdeci">#define EXTERN</div><div class="ttdef"><b>Definition:</b> progress.h:16</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_0bd7c455982a7201f4efe02c33cb9b9b.html">progress</a></li><li class="navelem"><a class="el" href="dir_98426f89d371c15aafc352fd75a36cec.html">include</a></li><li class="navelem"><a class="el" href="progress_8h.html">progress.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
